from django.conf.urls import patterns, include, url
from django.conf.urls.i18n import i18n_patterns
from django.contrib import admin
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from django.conf import settings
from django.views.generic import TemplateView

admin.autodiscover()

from authentic2.urls import not_homepage_patterns
from authentic2.forms import AuthenticRegistrationForm

urlpatterns = i18n_patterns('',
    url(r'^admin/', include(admin.site.urls)),
    url(r'^accounts/logout/$', 'django.contrib.auth.views.logout',
        name='logout', kwargs={'next_page': '/'}),
    url(r'^mon-compte/', 'portail_citoyen.views.edit_profile', name='profile'),
)

urlpatterns += patterns('',
    url(r'^accounts/register/$',
       'registration.views.register',
       { 'backend': 'registration.backends.default.DefaultBackend', 
         'form_class': AuthenticRegistrationForm },
       name='registration_register',
    ),
    url(r'^accounts/register/complete/$',
            TemplateView.as_view(template_name='registration/registration_complete.html'),
            name='registration_complete'),
    url(r'^accounts/', include('registration.backends.default.urls')),
    url(r'^', include(not_homepage_patterns)),
)

urlpatterns += staticfiles_urlpatterns()

if settings.DEBUG:
    urlpatterns += patterns('',
        url(r'^media/(?P<path>.*)$', 'django.views.static.serve',
            {'document_root': settings.MEDIA_ROOT, 'show_indexes': True}),
    )

urlpatterns += i18n_patterns('',
    url(r'^', include('cms.urls')),
)

